*DECK PRO2P2
      SUBROUTINE INITAL
C...
C...  SUBROUTINE INITAL IS CALLED BY MAIN PROGRAM PRO1P3 TO DEFINE THE
C...  INITIAL CONDITION IN THE NUMOL SOLUTION OF EQUATIONS (2.1) TO
C...  (2.4)
C...
      COMMON/T/   TIME
     1      /Y/  T(51)
     2      /F/ TT(51)
     3      /R/  X(51),   TX(51),  TXX(51),
     4               L,       DX
     5      /I/      N
C...
C...  TYPE SELECTED VARIABLES AS REAL
      REAL L
C...
C...  LENGTH
      L=1.0
C...
C...  GRID SPACING
      N=51
      DX=L/FLOAT(N-1)
C...
C...  INITIAL CONDITION (2.2)
      DO 1 I=1,N
         X(I)=FLOAT(I-1)*DX
         T(I)=0.
1     CONTINUE
      RETURN
      END
      SUBROUTINE DERV
C...
C...  SUBROUTINE DERV IS CALLED BY INTEGRATOR RKF45 TO DEFINE THE
C...  ODES IN THE NUMOL SOLUTION OF EQUATIONS (2.1) TO (2.4)
C...
      COMMON/T/   TIME
     1      /Y/  T(51)
     2      /F/ TT(51)
     3      /R/  X(51),   TX(51),  TXX(51),
     4               L,       DX
     5      /I/      N
C...
C...  TYPE SELECTED VARIABLES AS REAL
      REAL L
C...
C...  BOUNDARY CONDITION (2.3)
       T(1)=0.
      TT(1)=0.
C...
C...  BOUNDARY CONDITION (2.4)
       T(N)=1.
      TT(N)=0.
C...
C...  DERIVATIVE TX
      CALL DSS002(0.,L,N,T,TX)
C...
C...  DERIVATIVE TXX
      CALL DSS002(0.,L,N,TX,TXX)
C...
C...  EQUATION (2.1)
      DO 2 I=2,N-1
      TT(I)=TXX(I)
2     CONTINUE
      RETURN
      END
      SUBROUTINE PRINT(NI,NO)
C...
C...  SUBROUTINE PRINT IS CALLED BY MAIN PROGRAM PRO1P3 TO PRINT THE
C...  NUMOL SOLUTION OF EQUATIONS (2.1) TO (2.4)
C...
      COMMON/T/   TIME
     1      /Y/  T(51)
     2      /F/ TT(51)
     3      /R/  X(51),   TX(51),  TXX(51),
     4               L,       PI,       DX
     5      /I/      N
C...
C...  TYPE SELECTED VARIABLES AS REAL
      REAL L
C...
C...  PRINT THE NUMOL SOLUTION TO EQUATIONS (2.1) TO (2.4)
      WRITE(NO,2)TIME,(T(I),I=1,N,10)
2     FORMAT(' TIME = ',F6.2,/,15X,'  X=0',5X,'X=0.2',5X,'X=0.4',5X,
     1                             'X=0.6',5X,'X=0.8',5X,'  X=1',/,
     2                         '    T(X,T)',6F10.6,/)
      RETURN
      END
